package com.tanpu.feo.feojob.dao.user.mapper;

import com.tanpu.feo.feojob.dao.user.entity.TagRel;
import com.tanpu.feo.feojob.dao.user.entity.TagRelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface TagRelMapper {
    @Select("select distinct id from tag_rel where org_id=#{orgId}")
    List<String> selectDistinctIdByOrgId(@Param("orgId") String orgId);

    long countByExample(TagRelExample example);

    int deleteByExample(TagRelExample example);

    int insert(TagRel record);

    int insertSelective(TagRel record);

    List<TagRel> selectByExample(TagRelExample example);

    int updateByExampleSelective(@Param("record") TagRel record, @Param("example") TagRelExample example);

    int updateByExample(@Param("record") TagRel record, @Param("example") TagRelExample example);
}